import 'package:flutter_test/flutter_test.dart';
import 'package:werwolf/models/player.dart';
import 'package:werwolf/models/role.dart';

void main() {
  group('Player Tests', () {
    test('Player creation', () {
      Player player = Player(name: 'Alice', role: Role.dorfbewohner, isDead: false);
      expect(player.name, 'Alice');
      expect(player.role, Role.dorfbewohner);
      expect(player.isDead, false);
    });

    test('Player status change', () {
      Player player = Player(name: 'Bob', role: Role.werwolf, isDead: false);
      player.isDead = true;
      expect(player.isDead, true);
    });
  });
}
